# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'eaternet/version'

Gem::Specification.new do |spec|
  spec.name          = 'eaternet'
  spec.version       = Eaternet::VERSION
  spec.authors       = ['Robb Shecter']
  spec.email         = ['robb@eaternet.io']
  spec.summary       = 'Regional adapters for restaurant health scores'
  spec.description   = "A framework for easily retrieving a region's health scores in a standardized way."
  spec.homepage      = 'https://github.com/eaternet/adapters-ruby'
  spec.license       = 'Apache'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f =~ /vcr_cassettes/ }
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']
  spec.required_ruby_version = '>= 2.1.0'

  spec.add_development_dependency 'bundler', '~> 1'
  spec.add_development_dependency 'guard'
  spec.add_development_dependency 'guard-minitest'
  spec.add_development_dependency 'minitest'
  spec.add_development_dependency 'minitest-perf'
  spec.add_development_dependency 'minitest-utils'
  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'rake', '~> 10'
  spec.add_development_dependency 'timecop'
  spec.add_development_dependency 'vcr'
  spec.add_development_dependency 'webmock'

  spec.add_runtime_dependency 'activemodel', '>= 3.2.21'
  spec.add_runtime_dependency 'httparty'
  spec.add_runtime_dependency 'mechanize'
  spec.add_runtime_dependency 'nokogiri'
  spec.add_runtime_dependency 'rubyzip'
end
