require 'test_helper'
require 'eaternet'

# @todo Create proper integration vs. unit tests.
class SnhdTest < Minitest::Test
  # Instantiating as an app developer would:
  @@snhd = Eaternet::Snhd.new

  #
  # Businesses
  #

  def test_businesses_returns_an_enumerator_of_business
    VCR.use_cassette(SNHD_CASSETTE) do
      assert enumerable_of? Eaternet::Lives_1_0::Business, @@snhd.businesses
    end
  end

  def test_businesses_returns_lives_attributes
    VCR.use_cassette(SNHD_CASSETTE) do
      b = @@snhd.businesses.first
      assert_equal 'PR0000002', b.business_id
      assert_equal "McDonald's #3549 D HOTEL", b.name
      assert_equal '301 Fremont St', b.address
      assert_equal 'Las Vegas', b.city
      assert_equal '89101-5600', b.postal_code
      assert_equal 'NV', b.state
    end
  end

  #
  # Inspections
  #

  def test_inspections_returns_an_enumerable_of_inspection
    VCR.use_cassette(SNHD_CASSETTE) do
      assert enumerable_of? Eaternet::Lives_1_0::Inspection, @@snhd.inspections
    end
  end

  # def test_inspections_returns_lives_attributes
  #   VCR.use_cassette(SNHD_CASSETTE) do
  #     i = @@snhd.inspections.first(6).last
  #     assert_equal 'PR0000411', i.business_id
  #     assert_equal Date.new(1994, 04, 15), i.date
  #     assert_equal 96, i.score
  #   end
  # end
  #

  #
  # Violations
  #

  # def test_violations_returns_an_enumerable_of_violation
  #   VCR.use_cassette(SNHD_CASSETTE) do
  #     assert enumerable_of? Eaternet::Lives_1_0::Violation, @@snhd.violations
  #   end
  # end

  # def test_violations_returns_lives_attributes
  #   VCR.use_cassette(SNHD_CASSETTE) do
  #     v = @@snhd.violations.first
  #     assert_equal 'PR0000411', v.business_id
  #     assert_equal Date.new(1994, 4, 13), v.date
  #     assert_equal '8', v.code
  #     assert_match /hazardous salads/, v.description
  #   end
  # end

  #
  # metadata
  #
  def test_implements_feed_info
    assert_instance_of Eaternet::Lives_1_0::FeedInfo, @@snhd.feed_info
  end

  #
  # CSV Parser
  #
  def test_implements_parser
    assert_instance_of String, @@snhd.adapter_name
  end
end
